# EasyResources

[![pipeline status](https://git.easy.cz/easy/resources/badges/master/pipeline.svg)](https://git.easy.cz/easy/resources/commits/master)
[![coverage report](https://git.easy.cz/easy/resources/badges/master/coverage.svg)](http://easy.pages.easycloud.cz/resources)

Common implementation of Active Resource for our projects / microservices.

Allow communicate via API with (Easy)Redmine applications. 


## Installation

Add this line to your application's Gemfile:

```ruby
gem 'easy_resources'
```

And then execute:

    $ bundle

## Configuration

  1. in config/secrets.yml
      ```yaml
      production:
        sites:
            redmine:
              api_key: secret
              url: https://redmine.app
      ```
  2. then in config/initializers/easy.rb
      ```ruby
      require "easy/configuration"
      Easy::Resources::Redmine::RedmineBase.configure
      ```

OR

just in config/initializers/easy.rb
```ruby
require "easy/configuration"
Easy::Resources::Redmine::RedmineBase.configure api_key: "secret", url: "https://redmine.app"
```
    
## Development

run bundle install install and do not forget to run `rspec`.

## Contributing

For contributing please strictly follow our [guideline](https://git.easy.cz/external/guidelines/blob/master/DEV/CODE_STYLE.md). MR are welcome. As a target branch use always `devel`


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

